Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql.db2e.wdbc
Class Db2eConnection

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.Connection
            |
            +--superwaba.ext.xplat.sql.db2e.wdbc.Db2eConnection

public class Db2eConnection
extends Connection

Creates a connection with the IBM DB2everyplace client

Fields inherited from class superwaba.ext.xplat.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`Db2eConnection(Driver driver, Db2e db, int envHandle, String db2eURL, Hashtable info)`

Method Summary
`void` | `clearWarnings()` This method clears all warnings that have occurred on this connection.
`void` | `close()` This method immediately closes this database connection.
`void` | `commit()` This method commits any SQL statements executed on this connection since the last commit or rollback.
`Statement` | `createStatement()` This method creates a new SQL statement.
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency)` This method creates a new SQL statement with the specified type and concurrency.
`boolean` | `getAutoCommit()` This method tests whether or not auto commit mode is currently enabled.
`String` | `getCatalog()` This method returns the name of the catalog in use by this connection, if any.
`DatabaseMetaData` | `getMetaData()` This method returns the meta data for this database connection.
`int` | `getTransactionIsolation()` This method returns the current transaction isolation mode.
`SQLWarning` | `getWarnings()` This method returns the first warning that occurred on this connection, if any.
`boolean` | `isClosed()` This method tests whether or not this connection has been closed.
`PreparedStatement` | `prepareStatement(String sql)` This method creates a new `PreparedStatement` for the specified SQL string.
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)` This method creates a new `PreparedStatement` for the specified SQL string.
`void` | `rollback()` This method rolls back any SQL statements executed on this connection since the last commit or rollback.
`void` | `setAutoCommit(boolean autoCommit)` This method turns auto commit mode on or off.
`void` | `setCatalog(String catalog)` This method sets the name of the catalog in use by this connection.
`void` | `setTransactionIsolation(int level)` This method sets the current transaction isolation mode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Constructor Detail

### Db2eConnection

    public Db2eConnection(Driver driver,
                          Db2e db,
                          int envHandle,
                          String db2eURL,
                          Hashtable info)
                   throws SQLException

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  This method clears all warnings that have occurred on this connection.
  Overrides:
    clearWarnings in class Connection
  Throws:
    SQLException - If an error occurs.

### close

    public void close()
               throws SQLException

  This method immediately closes this database connection.
  Overrides:
    close in class Connection
  Throws:
    SQLException - If an error occurs.

### commit

    public void commit()
                throws SQLException

  This method commits any SQL statements executed on this connection since the last commit or rollback.
  Overrides:
    commit in class Connection
  Throws:
    SQLException - If an error occurs.

### createStatement

    public Statement createStatement()
                              throws SQLException

  This method creates a new SQL statement. The default result set type and concurrency will be used.
  Overrides:
    createStatement in class Connection
  Returns:
    A new `Statement` object.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `Statement`

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                              throws SQLException

  This method creates a new SQL statement with the specified type and concurrency. Valid values for these parameters are specified in the `ResultSet` class.
  Overrides:
    createStatement in class Connection
  Parameters:
    `resultSetType` - The type of result set to use for this statement.
    `resultSetConcurrency.` - The type of concurrency to be used in the result set for this statement.
  Returns:
    A new `Statement` object.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `Statement`, `ResultSet`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  This method tests whether or not auto commit mode is currently enabled. In auto commit mode, every SQL statement is committed its own transaction. Otherwise a transaction must be explicitly committed or rolled back.
  Overrides:
    getAutoCommit in class Connection
  Returns:
    `true` if auto commit mode is enabled, `false` otherwise.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `commit()`, `rollback()`

### getCatalog

    public String getCatalog()
                      throws SQLException

  This method returns the name of the catalog in use by this connection, if any.
  Overrides:
    getCatalog in class Connection
  Returns:
    The name of the catalog, or `null` if one does not exist or catalogs are not supported by this database.
  Throws:
    SQLException - If an error occurs.

### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

  This method returns the meta data for this database connection.
  Overrides:
    getMetaData in class Connection
  Returns:
    The meta data for this database.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `DatabaseMetaData`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

  This method returns the current transaction isolation mode. This will be one of the constants defined in this interface.
  Overrides:
    getTransactionIsolation in class Connection
  Returns:
    The transaction isolation level.
  Throws:
    SQLException - If an error occurs.

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  This method returns the first warning that occurred on this connection, if any. If there were any subsequence warnings, they will be chained to the first one.
  Overrides:
    getWarnings in class Connection
  Returns:
    The first `SQLWarning` that occurred, or `null` if there have been no warnings.
  Throws:
    SQLException - If an error occurs.

### isClosed

    public boolean isClosed()
                     throws SQLException

  This method tests whether or not this connection has been closed.
  Overrides:
    isClosed in class Connection
  Returns:
    `true` if the connection is closed, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

  This method creates a new `PreparedStatement` for the specified SQL string. This method is designed for use with parameterized statements. The default result set type and concurrency will be used.
  Overrides:
    prepareStatement in class Connection
  Parameters:
    `The` - SQL statement to use in creating this `PreparedStatement`.
  Returns:
    A new `PreparedStatement`.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `PreparedStatement`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                       throws SQLException

  This method creates a new `PreparedStatement` for the specified SQL string. This method is designed for use with parameterized statements. The specified result set type and concurrency will be used. Valid values for these parameters are specified in the `ResultSet` class.
  Overrides:
    prepareStatement in class Connection
  Parameters:
    `The` - SQL statement to use in creating this `PreparedStatement`.
    `resultSetType` - The type of result set to use for this statement.
    `resultSetConcurrency.` - The type of concurrency to be used in the result set for this statement.
  Returns:
    A new `PreparedStatement`.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `PreparedStatement`, `ResultSet`

### rollback

    public void rollback()
                  throws SQLException

  This method rolls back any SQL statements executed on this connection since the last commit or rollback.
  Overrides:
    rollback in class Connection
  Throws:
    SQLException - If an error occurs.

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

  This method turns auto commit mode on or off. In auto commit mode, every SQL statement is committed its own transaction. Otherwise a transaction must be explicitly committed or rolled back.
  Overrides:
    setAutoCommit in class Connection
  Parameters:
    `autoCommit` - `true` to enable auto commit mode, `false` to disable it.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `commit()`, `rollback()`

### setCatalog

    public void setCatalog(String catalog)
                    throws SQLException

  This method sets the name of the catalog in use by this connection. Note that this method does nothing if catalogs are not supported by this database.
  Overrides:
    setCatalog in class Connection
  Parameters:
    `catalog` - The name of the catalog to use for this connection.
  Throws:
    SQLException - If an error occurs.

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws SQLException

  This method sets the current transaction isolation mode. This must be one of the constants defined in this interface.
  Overrides:
    setTransactionIsolation in class Connection
  Parameters:
    `level` - The transaction isolation level.
  Throws:
    SQLException - If an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD